Delete a api key
DELETE
/v1/api-keys/{apiKeyId}curl -X DELETE 'https://api.embodiflow.io/v1/api-keys/{apiKeyId}' \
-H 'Authorization: Bearer $EMBODIFLOW_PAT'认证
每个请求都需要携带个人访问令牌(PAT)。
- Authorization: Bearer PAT
路径参数
- apiKeyIdstring必填
响应
Success
- dataobject必填
- idstring必填
- tenantIdstring必填
- membershipIdstring必填
- namestring必填
- tokenPrefixstring | null必填
- tokenLastFourstring | null必填
- statusstring必填
- expiresAtstring必填
- lastUsedAtstring | null必填
- revokedAtstring | null必填
- createdAtstring必填
- permissionsarray<string>必填
- scopeAllProjectsone of必填
- projectIdsarray<string>必填
- ownerobject必填
- metaobject必填
- requestIdstring必填
响应示例
{
"data": {
"id": "string",
"tenantId": "string",
"membershipId": "string",
"name": "string",
"tokenPrefix": "string",
"tokenLastFour": "string",
"status": "string",
"expiresAt": "string",
"lastUsedAt": "string",
"revokedAt": "string",
"createdAt": "string",
"permissions": "project:read",
"scopeAllProjects": false,
"projectIds": [
"string"
],
"owner": {
"userId": "string",
"email": "string",
"displayName": "string"
}
},
"meta": {
"requestId": "string"
}
}服务器https://api.embodiflow.io/v1https://api.embodiflow.dev/v1